﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR6200: (1 year) VER IEEE /5800A+GHz,DMM
DATE:                  2017-04-11 13:01:20
AUTHOR:                Fluke
REVISION:              $Revision: 19230 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       293
CONFIGURATION:         Fluke 5800A (G2)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source:
#        LeCroy WaveRunner® 6000 Series Service Manual, August 2004
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global Variables Used:
#
#    @Chan
#      This variable specifies which channel of the oscilloscope
#      is currently being tested.
#        @Chan = 1 designates Channel 1
#        @Chan = 2 designates Channel 2
#        @Chan = 3 designates Channel 3
#        @Chan = 4 designates Channel 4
#        @Chan = 5 designates External input
#
#    @NumChan
#      This variable specifies the number of channels the WaveRunner
#      Series Model has.
#
#    @BW_MHz
#      This variable specifies the BW of the WaveRunner Series
#      Model being tested.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        W

  1.002  IF           0
  1.003  5800         2GH                          1Vpp           LS S6 S  L
  1.004  IEEE         [@DMM]
  1.005  ENDIF

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright

# Initialize UUT.
  1.013  IEEE         *CLS;*RST
# Clear parameters, turn channel header off, internal enable register off.
  1.014  IEEE2        PACL;CHDR OFF;INE 0
# Identify UUT.
  1.015  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.016  MATH         Model = "WR6200" ; @NumChan = 4 ; @BW_MHz = 2000

  1.017  IF           NOT(FIND(@ModelNum, Model, 1))
  1.018  HEAD         UUT AND SELECTED PROCEDURE DO NOT MATCH!
  1.019  DISP         The UUT is an [V @ModelNum], not a [V Model]!
  1.019  DISP
  1.019  DISP         Select "Advance", choose the appropriate
  1.019  DISP         procedure for the UUT, then restart.
  1.020  END
  1.021  ENDIF

  1.022  CALL         Sub High Voltage Safety Warning
  1.023  CALL         Sub Select Failed Test Mode
  1.024  CALL         Sub WR6000 Preliminary Instructions

  1.025  HEAD         EQUIPMENT REQUIREMENTS
  1.026  OPBR         Do you want to review the list of additional
  1.026  OPBR         equipment and/or accessories required?

  1.027  IF           MEM1 > 0
# Description of additional test equipment required to run this procedure.
  1.028  DISP         The following additional equipment and/or
  1.028  DISP         accessories are required:
  1.028  DISP
  1.028  DISP         - Cable, double-banana(m)-(m), Pomona Model 2BC-24
  1.028  DISP         - Adapter, double-banana jacks to BNC(m), Pomona
  1.028  DISP         [32] Model 1296 or equivalent
  1.029  ENDIF

  1.030  JMPL         INPUT_NOISE

# ====== INPUT IMPEDANCE ===================================================

  1.031  LABEL        INPUT_IMPEDANCE_1
  1.032  RSLT         =
  1.033  HEAD         {INPUT IMPEDANCE TEST (DC coupled)}
  1.034  MATH         @Chan = 1
  1.035  DISP         Make the following connections:
  1.035  DISP
  1.035  DISP         [32]    5800          to          UUT
  1.035  DISP         [32] OUTPUT CHAN 1 -------> Channel 1 input
  1.035  DISP
  1.035  DISP         The next routine operator intervention occurs
  1.035  DISP         in approximately 7 minutes...
  1.036  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.037  JMPL         CH1_DC_MEASUREMENT

  1.038  LABEL        INPUT_IMPEDANCE_2
  1.039  MATH         @Chan = 2
  1.040  DISP         Make the following connections:
  1.040  DISP
  1.040  DISP         [32]    5800          to          UUT
  1.040  DISP         [32] OUTPUT CHAN 1 -------> Channel 2 input
  1.040  DISP
  1.040  DISP         The next routine operator intervention occurs
  1.040  DISP         in approximately 6 minutes...
  1.041  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.042  JMPL         CH2_DC_MEASUREMENT

  1.043  LABEL        INPUT_IMPEDANCE_3
  1.044  MATH         @Chan = 3
  1.045  DISP         Make the following connections:
  1.045  DISP
  1.045  DISP         [32]    5800          to          UUT
  1.045  DISP         [32] OUTPUT CHAN 1 -------> Channel 3 input
  1.045  DISP
  1.045  DISP         The next routine operator intervention occurs
  1.045  DISP         in approximately 6 minutes...
  1.046  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.047  JMPL         CH3_DC_MEASUREMENT

  1.048  LABEL        INPUT_IMPEDANCE_4
  1.049  MATH         @Chan = 4
  1.050  DISP         Make the following connections:
  1.050  DISP
  1.050  DISP         [32]    5800          to          UUT
  1.050  DISP         [32] OUTPUT CHAN 1 -------> Channel 4 input
  1.050  DISP
  1.050  DISP         The next routine operator intervention occurs
  1.050  DISP         in approximately 6 minutes...
  1.051  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.052  JMPL         CH4_DC_MEASUREMENT

  1.053  LABEL        INPUT_IMPEDANCE_EXT
  1.054  MATH         @Chan = 5
  1.055  DISP         Make the following connections:
  1.055  DISP
  1.055  DISP         [32]    5800          to          UUT
  1.055  DISP         [32] OUTPUT CHAN 1 -------> EXTernal input
  1.055  DISP
  1.055  DISP         The next routine operator intervention occurs
  1.055  DISP         in approximately 1 minute...
  1.056  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.057  DISP         Disconnect 5800A from the UUT.

# ====== LEAKAGE ===========================================================

  1.058  CALL         Sub WR6000 (1 yr) Leakage Tests IEEE /DMM
  1.059  END

# ====== INPUT NOISE =======================================================

  1.060  LABEL        INPUT_NOISE
  1.061  CALL         Sub WR6000 (1 yr) Input Noise Tests IEEE
  1.062  JMPL         INPUT_IMPEDANCE_1

# ====== DC GAIN ACCURACY ==================================================

  1.063  LABEL        CH1_DC_MEASUREMENT
  1.064  RSLT         =
  1.065  HEAD         {DC ACCURACY TEST}
  1.066  CALL         Sub WR6000 Select Channel
  1.067  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.068  JMPL         CH1_OFFSET_MEASUREMENT

  1.069  LABEL        CH2_DC_MEASUREMENT
  1.070  CALL         Sub WR6000 Select Channel
  1.071  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.072  JMPL         CH2_OFFSET_MEASUREMENT

  1.073  LABEL        CH3_DC_MEASUREMENT
  1.074  CALL         Sub WR6000 Select Channel
  1.075  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.076  JMPL         CH3_OFFSET_MEASUREMENT

  1.077  LABEL        CH4_DC_MEASUREMENT
  1.078  CALL         Sub WR6000 Select Channel
  1.079  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.080  JMPL         CH4_OFFSET_MEASUREMENT

 # ====== OFFSET ============================================================

  1.081  LABEL        CH1_OFFSET_MEASUREMENT
  1.082  RSLT         =
  1.083  HEAD         {OFFSET TEST}
  1.084  CALL         Sub WR6000 Select Channel
  1.085  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.086  JMPL         CH1_ANALOG_BANDWIDTH

  1.087  LABEL        CH2_OFFSET_MEASUREMENT
  1.088  CALL         Sub WR6000 Select Channel
  1.089  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.090  JMPL         CH2_ANALOG_BANDWIDTH

  1.091  LABEL        CH3_OFFSET_MEASUREMENT
  1.092  CALL         Sub WR6000 Select Channel
  1.093  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.094  JMPL         CH3_ANALOG_BANDWIDTH

  1.095  LABEL        CH4_OFFSET_MEASUREMENT
  1.096  CALL         Sub WR6000 Select Channel
  1.097  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.098  JMPL         CH4_ANALOG_BANDWIDTH

# ====== BANDWIDTH =========================================================

  1.099  LABEL        CH1_ANALOG_BANDWIDTH
  1.100  RSLT         =
  1.101  HEAD         {BANDWIDTH TESTS}
  1.102  CALL         Sub WR6000 Select Channel
  1.103  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.104  JMPL         TRIGGER_LEVEL_1

  1.105  LABEL        CH2_ANALOG_BANDWIDTH
  1.106  CALL         Sub WR6000 Select Channel
  1.107  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.108  JMPL         TRIGGER_LEVEL_2

  1.109  LABEL        CH3_ANALOG_BANDWIDTH
  1.110  CALL         Sub WR6000 Select Channel
  1.111  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.112  JMPL         TRIGGER_LEVEL_3

  1.113  LABEL        CH4_ANALOG_BANDWIDTH
  1.114  CALL         Sub WR6000 Select Channel
  1.115  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800+GHz
  1.116  JMPL         TRIGGER_LEVEL_4

# ====== TRIGGER LEVEL =====================================================

  1.117  LABEL        TRIGGER_LEVEL_1
  1.118  RSLT         =
  1.119  HEAD         {TRIGGER TEST (DC coupled)}
  1.120  CALL         Sub WR6000 Select Channel
  1.121  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.122  JMPL         TIMEBASE

  1.123  LABEL        TRIGGER_LEVEL_2
  1.124  CALL         Sub WR6000 Select Channel
  1.125  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.126  JMPL         INPUT_IMPEDANCE_3

  1.127  LABEL        TRIGGER_LEVEL_3
  1.128  CALL         Sub WR6000 Select Channel
  1.129  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.130  JMPL         INPUT_IMPEDANCE_4

  1.131  LABEL        TRIGGER_LEVEL_4
  1.132  CALL         Sub WR6000 Select Channel
  1.133  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.134  JMPL         INPUT_IMPEDANCE_EXT

# ====== TIMEBASE ==========================================================

  1.135  LABEL        TIMEBASE
  1.136  RSLT         =
  1.137  HEAD         {TIMEBASE TEST}
  1.138  MATH         @Chan = 1
  1.139  CALL         Sub WR6000 (1 yr) Timebase VER IEEE /5800
  1.140  JMPL         INPUT_IMPEDANCE_2
